PDA

View Full Version : How to draw an Arc?



HanWu
12-27-2002, 07:42 AM
i am currently doing an assignment that needs to read an AutoCAD dxf format.I have some problem in extrusion part. I think this 210,220 and 230 extrusion direction should give me the rotation angle and get the final position of the ARC. I need somebody to show me how to calculate this rotation angle with the 210,220 & 230(x,y,z) extrusion direction. The codes below is a segment of file *.dxf

ARC
5
35
330
1F
100
AcDbEntity
8
0
100
AcDbCircle
10
11.62504563300505
20
2.031706488742032
30
-3.925129282754149
40
1.813360921647667
210
0.0
220
-0.9134811240334952
230
0.4068811079842635
100
AcDbArc
50
295.8442375277825
51
90.11457808735231
0

Please help me

[This message has been edited by chengseesin (edited 05-12-2003).]